*{
    font-family: NotoSans;
}

html{
    scroll-behavior: smooth;

    --phone-threshold: 750px;

    --background-col: #4f1866;
    --transparent-panel: rgba(200, 200, 200, 0.3);
    --transparent-panel-hover: rgba(200, 200, 200, 0.6);
    --tag-included: rgba(255, 0, 0, 0.3);
    --tag-included-hover: rgba(255, 0, 0, 0.5);
    --tag-excluded: rgba(0, 255, 0, 0.3);
    --tag-excluded-hover: rgba(0, 255, 0, 0.5);
}

body{
    height: 100vh;
    width: 100vw;
    margin: 0px;
    overflow-x:hidden;
    overflow-y:scroll;
    background-color: var(--background-col);
}

section{
    justify-self: center;
    align-self: center;
    height: 100%;
    width: 100%;
    display: grid;
    
    .content-background{
        background-color: var(--transparent-panel);
        border-radius: 10px;
        box-shadow: 3px 5px 20px 2px rgba(0, 0, 0, .5);
        justify-self: center;
        align-self: center;
        max-width: 500px;
        min-width: 350px;
        min-height: 120px;
    }

    .col{
        align-content: center;
    }

    .row{
        h5, h1{
            margin: 0px;
        }
    }
}

#Socials-Section{
    .content-background{
        height: 150px;

    }

    img{
        width: 64px;
        height: 64px;
        transition: all 0.2s ease;
        cursor: pointer;
        &:hover{
            height: 80px;
            width: 80px;
        }
    }
    
    #Github-Tooltip{
        position:relative;
        width: fit-content;
        height: fit-content;
        display: block;
        z-index: 5;
    }
}

#NavMenu{
    position:fixed;
    width: max-content;
    height: max-content;
    z-index: 10;
    &::before{
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: -1;
        background-color: rgba(255, 255, 255, 0.4);
        backdrop-filter: blur(10px);
        filter: brightness(80%);
        border-radius: 0px 0px 10px 10px;
    }
    border-radius: 0px 0px 10px 10px;
    display: grid;
    grid-template-columns: auto auto auto auto;
    box-shadow: 1px 1px 10px 2px black;
    left: 50%;
    transform: translate(-50%, 0);

    @media (max-width: 750px){
        border-radius: 10px 10px 0px 0px;
        &::before{
            border-radius: 10px 10px 0px 0px;
        }
        box-shadow: -1px -1px 10px 2px black;

        bottom: 0px;
        transform: translate(-50%, 0);
    }

    a{
        width: 100%;
        height: 100%;
        padding: 10px;
        color: white;
        &:first-child{
            border-radius: 0px 0px 0px 10px;
        }
        &:last-child{
            border-radius: 0px 0px 10px 0px;
        }
        &.active, &:hover{
            background-color: rgba(255, 255, 255, 0.2);
        }
    }
}

#LangMenu{
    display: flex;
    gap: 5px;
    position: fixed;
    bottom: 0px;
    right: 0px;
    margin: 5px;
    div{
        border: 2px solid black;
        position: relative;
        cursor: pointer;
        &::after{
            content: '';
            position: absolute;
            top:0px;
            height: 100%;
            width: 100%;
            display: block;
        }

        &:hover::after{
            background-color: rgba(0, 0, 0, 0.2);
        }

        &.active::after{
            background-color: rgba(0, 0, 0, 0.5);
        }

        &.active{
            cursor: auto;
        }
    }

    @media (max-width: 750px){
        right: auto;
        bottom: auto;
        top: 0px;
        right: 0px;
    }
}

#Projects{
    justify-self: center;
    align-self: center;
    width: 70%;
    height: 60%;
    display: grid;
    gap: 10px;
    grid-template-rows: 20% 80%;
    max-width: 800px;
    min-width: 350px;

    #ProjectsFilter{
        width: 100%;
        height: 100%;
        background-color: var(--transparent-panel);
        border-radius: 10px;
        box-shadow: 3px 5px 20px 2px rgba(0, 0, 0, .5);
        display: grid;
        grid-template-rows: 55% 45%;
        input{
            all: unset;
            background-color: var(--transparent-panel);
            width: 100%;
            height: 100%;
            border-radius: 10px 10px 0px 0px;
            box-sizing: border-box;
            padding: 10px;
            font-weight: 600;
            font-size: large;
        }
        span{
            background-color: var(--background-col);
            border-radius: 0px 0px 10px 10px;
            filter: brightness(110%);
            display: flex;
            overflow-x: scroll;
            gap: 10px;
            .tag{
                p{
                    margin: 0px;
                    user-select: none;
                }
                cursor:pointer;
                width: fit-content;
                height: fit-content;
                padding: 2px 20px 2px 20px;
                background-color: var(--transparent-panel);
                align-self: center;
                border-radius: 10px;

                &:first-child{
                    margin-left: 10px;
                }
                &:last-child{
                    margin-right: 10px;
                }

                &:hover{
                    background-color: var(--transparent-panel-hover);
                }
                &.included{
                    background-color: var(--tag-excluded);
                    &:hover{
                        background-color: var(--tag-excluded-hover);
                    }
                }
                &.excluded{
                    background-color: var(--tag-included);
                    &:hover{
                        background-color: var(--tag-included-hover);
                    }
                }
            }
        }
    }

    #ProjectsContainer{
        width: 100%;
        height: fit-content;
        border-radius: 10px;
        background-color: var(--transparent-panel);
        box-shadow: 3px 5px 20px 2px rgba(0, 0, 0, .5);
        padding: 10px;
        display: flex;
        overflow-x: scroll;
        gap: 10px;
        .ProjectCard{
            width: 180px;
            flex-shrink: 0;
            height: 250px;
            background-color: var(--transparent-panel);
            &:hover{
                background-color: var(--transparent-panel-hover);
            }
            &.hidden{
                display: none;
            }
            padding: 10px;
            border-radius: 10px;
            p{
                margin: 0px;
            }
            .ProjectLink{
                height: 100%;
                width: 100%;
                color: white;
                display: grid;
                grid-template-rows: 15% 50% 35%;
                box-sizing: border-box;
                text-decoration: none;
                text-wrap-mode: wrap;
            }

            .ProjectTitle{
                justify-self: center;
                align-self: center;
                margin: 0px;
            }

            .ProjectImage{
                width: 100%;
                height: 100%;
                object-fit:scale-down;
            }

            .ProjectDescription{
                justify-self: center;
                align-self: center;
                height: 100%;
                overflow-y: scroll;
                padding-top: 5px;
                
            }
        }
    }
}

#LastUpdateDate{
    margin: 10px;
    position: absolute;
    top: 0px;
    display: flex;
    gap: 5px;

    p{
        margin: 0px;
    }

}